import { eCheckResult } from '../../../../consts';
import { eOpticalStatusField } from './consts';
/**
* Detailed status of optical checks
*/
export interface iRDetailedStatusOptical {
    /**
    * The check status if document type was recognized or not.
    * @type {eCheckResult}
    */
    [eOpticalStatusField.DOC_TYPE]: eCheckResult;
    /**
    * The document validity period verification status.
    * @type {eCheckResult}
    */
    [eOpticalStatusField.EXPIRY]: eCheckResult;
    /**
    * The input images quality verification status.
    * @type {eCheckResult}
    */
    [eOpticalStatusField.IMAGE_QA]: eCheckResult;
    /**
    * MRZ verification: values validity, dates, checkdigits verification.
    * @type {eCheckResult}
    */
    [eOpticalStatusField.MRZ]: eCheckResult;
    /**
    * The authenticity verification status
    * @type {eCheckResult}
    */
    [eOpticalStatusField.SECURITY]: eCheckResult;
    /**
    * Text fields valitity: values validity for specific fields, cross-comparison of values from different sources,
    * dates & checkdigits verification.
    * @type {eCheckResult}
    */
    [eOpticalStatusField.TEXT]: eCheckResult;
}
/**
* Detailed status of optical checks
*/
export declare class RDetailedStatusOptical implements iRDetailedStatusOptical {
    /**
    * The check status if document type was recognized or not.
    * @type {eCheckResult}
    */
    [eOpticalStatusField.DOC_TYPE]: eCheckResult;
    /**
    * The document validity period verification status.
    * @type {eCheckResult}
    */
    [eOpticalStatusField.EXPIRY]: eCheckResult;
    /**
    * The input images quality verification status.
    * @type {eCheckResult}
    */
    [eOpticalStatusField.IMAGE_QA]: eCheckResult;
    /**
    * MRZ verification: values validity, dates, checkdigits verification.
    * @type {eCheckResult}
    */
    [eOpticalStatusField.MRZ]: eCheckResult;
    /**
    * The authenticity verification status
    * @type {eCheckResult}
    */
    [eOpticalStatusField.SECURITY]: eCheckResult;
    /**
    * Text fields valitity: values validity for specific fields, cross-comparison of values from different sources,
    * dates & checkdigits verification.
    * @type {eCheckResult}
    */
    [eOpticalStatusField.TEXT]: eCheckResult;
}
